Bug 222830 - gs crash printing from gthumb
gs crash printing from gthumb
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-16 09:00 EST by Tim Waugh
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: F-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 06:46:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/tmp/foomatic-rip.log (debug) (printing from gthumb) (4.69 KB, text/plain)
2007-01-17 07:20 EST, Tim Wegener
no flags Details
/tmp/foomatic-rip.ps (debug) (printing from gthumb) (18.23 MB, application/postscript)
2007-01-17 07:46 EST, Tim Wegener
no flags Details

  None (edit)
Description Tim Waugh 2007-01-16 09:00:01 EST
+++ This bug was initially created as a clone of Bug #222639 +++

Description of problem:
Attempting to print a photo from gthumb (or other photo-viewing apps) results in
the printer doing nothing. The print job is reported as 'processing' in CUPS,
and then eventually just says stopped, with no error message or printer activity.

Printing with the C4180 on A4 paper works fine from the printconf testpage, from
the hp-toolbox testpage (which includes a color photo), and from Firefox.
Printing to photo paper using using the printer's memory card reader (i.e.
computer not involved) works fine. Scanning works fine.

Version-Release number of selected component (if applicable):
cups-1.2.7-1.5.fc6
hplip-1.6.10-1.fc6.4
foomatic-3.0.2-39.1.fc6
gthumb-2.7.8-3.fc6

How reproducible:
Always

Steps to Reproduce:
1. gthumb
2. (select photo)
3. File->Print
4. Paper Details tab->Paper size->Custom->Width:4 inch Height:6 inch (but same
deal for selecting Postcard)
5. Layout tab->Center on page, 100% scaling
6. Print
7. Printer->Photosmart_C4100
8. Paper tab->Paper Size->Photo/4x6 inch index card
9. Print
  
Actual results:
foomatic-rip does something (visible in 'top') briefly
print job appears in CUPS and says 'stopped'
no printer activity

Expected results:
Photo to be printed on photo paper.

Additional info:
Relevant output of '/usr/sbin/lpinfo -v':
direct hal
direct hp:/usb/Photosmart_C4100_series?serial=MY65CB919404J7

Relevant output of 'lpstat -s':
no system default destination
device for Photosmart_C4100: hp:/usb/Photosmart_C4100_series?serial=MY65CB919404J7
device for Photosmart_C4100_series:
hal:///org/freedesktop/Hal/devices/usb_device_3f0_5711_MY65CB919404J7_if1_printer_MY65CB919404J7

This problem occurred both before and after setting up the printer with hp-setup.

-- Additional comment from twegener@fastmail.fm on 2007-01-15 08:38 EST --
Created an attachment (id=145572)
grep hp /var/log/messages > hp_messages.txt


-- Additional comment from twegener@fastmail.fm on 2007-01-15 08:42 EST --
Created an attachment (id=145573)
hp-check > hp-check_patched_output.txt 2>&1

Note this output is from a patched 'check' script that fixes hp-check falling
over with a traceback.


-- Additional comment from twaugh@redhat.com on 2007-01-15 08:57 EST --
What does 'lpstat -t' say?

-- Additional comment from twegener@fastmail.fm on 2007-01-15 09:02 EST --
Tried this from gqview:
1. File->Print...
2. Layout->Source:Image Layout:One Image per page Image size: 100%
3. Text->(all unchecked)
4. Paper->Format:Photo 6x4 Units:inches Orientation:Portrait Margins all 0
5. Printer->Destination:Custom printer Custom printer: lpr -P Photosmart_C4100
DPI:unlimited
6. Print
('top' shows 'foomatic-rip' running and briefly 'gs')

The printer display says 'Paper size or type incorrect, press OK to cancel job'
Doing so spits out the photo paper without printing.

-- Additional comment from twegener@fastmail.fm on 2007-01-15 09:03 EST --
Output from 'lpstat -t':
scheduler is running
no system default destination
device for Photosmart_C4100: hp:/usb/Photosmart_C4100_series?serial=MY65CB919404J7
device for Photosmart_C4100_series:
hal:///org/freedesktop/Hal/devices/usb_device_3f0_5711_MY65CB919404J7_if1_printer_MY65CB919404J7
Photosmart_C4100 accepting requests since Tue 16 Jan 2007 12:30:18 AM CST
Photosmart_C4100_series accepting requests since Tue 16 Jan 2007 12:25:40 AM CST
printer Photosmart_C4100 is idle.  enabled since Tue 16 Jan 2007 12:30:18 AM CST
printer Photosmart_C4100_series disabled since Tue 16 Jan 2007 12:25:40 AM CST -
        Paused
Photosmart_C4100-12     tim           19116032   Mon 15 Jan 2007 11:54:39 PM CST


-- Additional comment from twaugh@redhat.com on 2007-01-15 09:16 EST --
Can you attach /var/log/cups/error_log please?

-- Additional comment from twegener@fastmail.fm on 2007-01-16 06:59 EST --
Created an attachment (id=145677)
/var/log/cups/error_log


-- Additional comment from twaugh@redhat.com on 2007-01-16 07:05 EST --
The pstops filter is giving this error:

E [16/Jan/2007:00:20:57 +1030] [Job 13] Bad %%BoundingBox: comment seen!

Please edit /etc/foomatic/filter.conf and add a line at the end:

debug: 1

Then submit your print job again and attach the resulting /tmp/foomatic-rip.ps
file here.  I would also like to see /tmp/foomatic-rip.log.  Thanks.

-- Additional comment from twegener@fastmail.fm on 2007-01-16 07:21 EST --
Created an attachment (id=145681)
/var/log/cups/error_log (debug)

This time I've turned on the debug loglevel in /etc/cups/cupsd.conf, reloaded
cups and tried to print. First from gthumb (until 22:39) and then from gqview.
(Note the gs core dump for the gthumb attempt.) With gqview the printer
complained about incorrect paper size again, and also printed some garbage text
on the photo paper, at which point I turned off the printer to get it to stop.


-- Additional comment from twegener@fastmail.fm on 2007-01-16 08:04 EST --
Created an attachment (id=145686)
/tmp/foomatic-rip.ps (debug)

(This is from an attempt to print a photo from gqview.)

-- Additional comment from twegener@fastmail.fm on 2007-01-16 08:09 EST --
Created an attachment (id=145687)
/tmp/foomatic-rip.log (debug)

(This is from an attempt to print a photo from gqview.)

-- Additional comment from twegener@fastmail.fm on 2007-01-16 08:21 EST --
Tried printing a photo from KView and got slightly further.
Actions:
1. File->Print
2. Image Settings-> Fit image and center image checked
3. Properties
4. General-> Orientation:Landscape Page Size:Photo/6x4 inch index card
5. Margins-> Use custom margins (all 0)
6. OK
7. Print

This prints albeit with borders (top:3mm bot:3mm right:9mm left:8mm), and very
poor quality (obvious pixellation/aliasing and dithering). The quality is much
worse than using the printer in stand-alone mode printing from a memory card.



-- Additional comment from twegener@fastmail.fm on 2007-01-16 08:25 EST --
Created an attachment (id=145688)
/tmp/foomatic-rip.ps (debug) (printing from KView)


-- Additional comment from twegener@fastmail.fm on 2007-01-16 08:26 EST --
Created an attachment (id=145689)
/tmp/foomatic-rip.log (debug) (printing from KView)
Comment 1 Tim Waugh 2007-01-16 09:02:47 EST
*This* bug report is about the gs crash shown in attachment id=145681
(/var/log/cups/error_log).

Is this reproducible?  If you print a file from gthumb, can you cause this gs
crash to happen every time?  If so, I would like the /tmp/foomatic-rip.ps file
for a print attempt from gthumb that resulted in a gs crash.
Comment 2 Tim Wegener 2007-01-17 07:04:17 EST
This is always reproducible.
Comment 3 Tim Wegener 2007-01-17 07:20:33 EST
Created attachment 145797 [details]
/tmp/foomatic-rip.log (debug) (printing from gthumb)
Comment 4 Tim Wegener 2007-01-17 07:47:11 EST
Created attachment 145802 [details]
/tmp/foomatic-rip.ps (debug) (printing from gthumb)
Comment 5 Tim Waugh 2007-01-17 12:43:36 EST
How to reproduce:

gs '-dBATCH' '-dPARANOIDSAFER' '-dQUIET' '-dNOPAUSE' \
  '-sDEVICE=ijs' '-sIjsServer=hpijs' \
  '-sDeviceManufacturer=HEWLETT-PACKARD' \
  '-sDeviceModel=deskjet 5600' '-dDEVICEWIDTHPOINTS=595' \
  '-dDEVICEHEIGHTPOINTS=842' '-dDuplex=false' '-r300' \
'-sIjsParams=Quality:Quality=0,Quality:ColorMode=2,Quality:MediaType=0,Quality:PenSet=2,PS:MediaPosition=7'\
  '-dIjsUseOutputFD' '-sOutputFile=/dev/null' \
  tmp_foomatic-rip_gthumb.ps

Backtrace:

#0  gsijs_fill_rectangle (dev=0x67f508, x=0, y=0, w=1200, h=1800, 
    color=16777215) at src/gdevijs.c:208
208        if (ijsdev->krgb_mode && ijsdev->k_path && y >= 0 && x >= 0) 
$1 = (gx_device_ijs *) 0x0
#1  0x0000003dbaabf4ee in gx_dc_pure_fill_rectangle (
    pdevc=<value optimized out>, x=0, y=0, w=1200, h=1800, dev=0x67f508, 
    lop=252, source=0x0) at src/gxdcolor.c:387
387             return (*dev_proc(dev, fill_rectangle)) (dev, x, y, w, h,
#2  0x0000003dbaaab328 in gs_fillpage (pgs=0x61bcb8) at src/gspaint.c:91
91              code = gx_fill_rectangle(0, 0, dev->width, dev->height,
#3  0x0000003dba90d056 in gs_interpret (pi_ctx_p=0x3dbaf74230, 
    pref=<value optimized out>, user_errors=1, pexit_code=0x7fff887c0dac, 
    perror_object=0x7fff887c0d90) at src/interp.c:1492
1492                            switch (code =
call_operator(op_index_proc(index), i_ctx_p)) {
#4  0x0000003dba9035b2 in gs_main_interpret (minst=0x3dbaf73fc0, pref=0x0, 
    user_errors=1, pexit_code=0x7fff887c0dac, perror_object=0x7fff887c0d90)
    at src/imain.c:297
297             code = gs_interpret(&minst->i_ctx_p, &refnul, 
#5  0x0000003dba9037de in gs_main_run_string_end (minst=0x0, 
    user_errors=16777215, pexit_code=0x4b0, perror_object=0x708)
    at src/imain.c:600
600         return gs_main_interpret(minst, &rstr, user_errors, pexit_code,
#6  0x0000003dba904710 in run_string (minst=0x0, str=0x0, options=2)
    at src/imainarg.c:778
778                                       &exit_code, &error_object);
#7  0x0000003dba904e15 in runarg (minst=0x3dbaf73fc0, pre=0x3dbab10c15 "", 
    arg=0x63d520 "tmp_foomatic-rip_gthumb.ps", post=0x3dbaaf4788 ".runfile", 
    options=<value optimized out>) at src/imainarg.c:768
768         code = run_string(minst, line, options);
#8  0x0000003dba904fd8 in argproc (minst=0x3dbaf73fc0, 
    arg=<value optimized out>) at src/imainarg.c:703
703             return runarg(minst, "", filearg, ".runfile", runInit | runFlush);
#9  0x0000003dba906620 in gs_main_init_with_args (minst=0x3dbaf73fc0, argc=17, 
    argv=<value optimized out>) at src/imainarg.c:216
216                     code = argproc(minst, arg);
#10 0x00000000004009e1 in main (argc=17, argv=0x7fff887c1da8)
    at src/dxmainc.c:88
88              code = gsapi_init_with_args(instance, argc, argv);
Comment 6 Bug Zapper 2008-04-04 01:37:46 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Tim Waugh 2008-04-04 06:46:34 EDT
This is fixed in Fedora 8 (tested with ghostscript-8.62-3.fc8).

Note You need to log in before you can comment on or make changes to this bug.